The officially official Devuan Forum!

You are not logged in.

#1 2023-01-23 18:06:54

Roger
Member
From: Vancouver, BC, Canada
Registered: 2019-04-06
Posts: 66  
Website

[SOLVED] consolekit requirement

A routine update using aptitude tells me that an installed package libcmanager0 is obsolete, but when I try to remove it, I am told that this will break consolekit. There follows the usual chain of dependencies. This occurs on a machine which has been running Devuan for a long time, and one with the system newly installed in the last couple of years runs perfectly well without consolekit or policykit. I suspect they may be relics from the days when systemd drove me from Debian.

Questions: do these packages serve any useful purpose, and can they be removed?

On a more facetious level, why does this forum use a spell-checker that objects to the word "Devuan"?

Offline

#2 2023-01-23 18:29:22

golinux
Administrator
Registered: 2016-11-25
Posts: 2,718  

Re: [SOLVED] consolekit requirement

This forum does not have a spell checker. Just right click to add "Devuan" to you system's dictionary . . .

Offline

#3 2023-01-23 18:30:36

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 3,071  
Website

Re: [SOLVED] consolekit requirement

Roger wrote:

A routine update using aptitude tells me that an installed package libcmanager0 is obsolete, but when I try to remove it, I am told that this will break consolekit. There follows the usual chain of dependencies.

Looks like libcgmanager0 (not "libcmanager0") isn't in chimaera but it is listed as a dependency for the consolekit package. Seems like a mistake to me but I'm not a Devuan developer so I might be wrong. The package is available in daedalus though but don't try to add it from those repositories, that will probably break your system.

You can replicate the functionality of consolekit with elogind (which is probably installed in your newer box) or you can do without either by adding your user to the video, audio & input groups (and maybe a few others depending on your needs) but that method is insecure for a multi-user system.

Reference: https://web.archive.org/web/20200928212 … escription (but note that Devuan is packaging the consolekit2 version, which is under current development)

Roger wrote:

why does this forum use a spell-checker that objects to the word "Devuan"?

I'm pretty sure that's your browser rather than these boards.

Last edited by Head_on_a_Stick (2023-01-23 18:31:39)


“Et ignotas animum dimittit in artes.” — Ovid, Metamorphoses, VIII, 18.

Offline

#4 2023-01-23 21:51:09

fsmithred
Administrator
Registered: 2016-11-25
Posts: 2,178  

Re: [SOLVED] consolekit requirement

This post intentionally left blank.

After update, it's gone.

$ apt policy libcgmanager0
libcgmanager0:
  Installed: (none)
  Candidate: (none)

Last edited by fsmithred (2023-01-23 22:28:59)

Offline

#5 2023-01-23 22:26:22

fsmithred
Administrator
Registered: 2016-11-25
Posts: 2,178  

Re: [SOLVED] consolekit requirement

I was wrong. That package is gone and consolekit was rebuilt without the dep on libcgmanager0.

If you refuse aptitude's first suggestion, it should give you other possible solutions.

Edit: if that doesn't work, whatever is wrong will get fixed tomorrow or so.

Offline

#6 2023-01-24 08:37:11

LeePen
Member
Registered: 2020-03-04
Posts: 9  

Re: [SOLVED] consolekit requirement

Roger,

Thanks for highlighting this. It is fixed in chimaera with libcgmanager0 now available again.

Note that src:cgmanager has been removed from ceres and daedalus and newer versions of consolekit are build without requiring libcgmanager0.

Apologies for my mistake and making a mess.

Mark

Offline

Board footer